<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>InterpolatorSpecification (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="InterpolatorSpecification (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/InterpolatorSpecification.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.Variables.html" title="class in org.apache.commons.configuration2.interpol"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/interpol/InterpolatorSpecification.Builder.html" title="class in org.apache.commons.configuration2.interpol"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/interpol/InterpolatorSpecification.html" target="_top">Frames</a></li>
<li><a href="InterpolatorSpecification.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.interpol</div>
<h2 title="Class InterpolatorSpecification" class="title">Class InterpolatorSpecification</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.interpol.InterpolatorSpecification</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">InterpolatorSpecification</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block"><p>
 A simple value class defining a <a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol"><code>ConfigurationInterpolator</code></a>.
 </p>
 <p>
 Objects of this class can be used for creating new
 <code>ConfigurationInterpolator</code> instances; they contain all required
 properties. It is either possible to set a fully initialized
 <code>ConfigurationInterpolator</code> directly which can be used as is.
 Alternatively, some or all properties of an instance to be newly created can
 be set. These properties include
 </p>
 <ul>
 <li>a map with <code>Lookup</code> objects associated with a specific prefix</li>
 <li>a collection with default <code>Lookup</code> objects (without a prefix)</li>
 <li>a parent <code>ConfigurationInterpolator</code></li>
 </ul>
 <p>
 When setting up a configuration it is possible to define the
 <code>ConfigurationInterpolator</code> in terms of this class. The configuration
 will then either use the <code>ConfigurationInterpolator</code> instance
 explicitly defined in the <code>InterpolatorSpecification</code> instance or
 create a new one.
 </p>
 <p>
 Instances are not created directly, but using the nested <code>Builder</code>
 class. They are then immutable.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: InterpolatorSpecification.java 1790899 2017-04-10 21:56:46Z ggregory $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/interpol/InterpolatorSpecification.Builder.html" title="class in org.apache.commons.configuration2.interpol">InterpolatorSpecification.Builder</a></span></code>
<div class="block">A <em>builder</em> class for creating instances of
 <code>InterpolatorSpecification</code>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../org/apache/commons/configuration2/interpol/Lookup.html" title="interface in org.apache.commons.configuration2.interpol">Lookup</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/interpol/InterpolatorSpecification.html#getDefaultLookups--">getDefaultLookups</a></span>()</code>
<div class="block">Returns a collection with the default lookups.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol">ConfigurationInterpolator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/interpol/InterpolatorSpecification.html#getInterpolator--">getInterpolator</a></span>()</code>
<div class="block">Returns the <code>ConfigurationInterpolator</code> instance to be used
 directly.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol">ConfigurationInterpolator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/interpol/InterpolatorSpecification.html#getParentInterpolator--">getParentInterpolator</a></span>()</code>
<div class="block">Returns the parent <code>ConfigurationInterpolator</code> object.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="../../../../../org/apache/commons/configuration2/interpol/Lookup.html" title="interface in org.apache.commons.configuration2.interpol">Lookup</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/interpol/InterpolatorSpecification.html#getPrefixLookups--">getPrefixLookups</a></span>()</code>
<div class="block">Returns a map with prefix lookups.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getInterpolator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInterpolator</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol">ConfigurationInterpolator</a>&nbsp;getInterpolator()</pre>
<div class="block">Returns the <code>ConfigurationInterpolator</code> instance to be used
 directly.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>ConfigurationInterpolator</code> (can be <b>null</b>)</dd>
</dl>
</li>
</ul>
<a name="getParentInterpolator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParentInterpolator</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol">ConfigurationInterpolator</a>&nbsp;getParentInterpolator()</pre>
<div class="block">Returns the parent <code>ConfigurationInterpolator</code> object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the parent <code>ConfigurationInterpolator</code> (can be <b>null</b>)</dd>
</dl>
</li>
</ul>
<a name="getPrefixLookups--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPrefixLookups</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="../../../../../org/apache/commons/configuration2/interpol/Lookup.html" title="interface in org.apache.commons.configuration2.interpol">Lookup</a>&gt;&nbsp;getPrefixLookups()</pre>
<div class="block">Returns a map with prefix lookups. The keys of the map are the prefix
 strings, its values are the corresponding <code>Lookup</code> objects.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the prefix lookups for a new <code>ConfigurationInterpolator</code>
         instance (never <b>null</b>)</dd>
</dl>
</li>
</ul>
<a name="getDefaultLookups--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getDefaultLookups</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../org/apache/commons/configuration2/interpol/Lookup.html" title="interface in org.apache.commons.configuration2.interpol">Lookup</a>&gt;&nbsp;getDefaultLookups()</pre>
<div class="block">Returns a collection with the default lookups.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the default lookups for a new <code>ConfigurationInterpolator</code>
         instance (never <b>null</b>)</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/InterpolatorSpecification.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/interpol/ExprLookup.Variables.html" title="class in org.apache.commons.configuration2.interpol"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/interpol/InterpolatorSpecification.Builder.html" title="class in org.apache.commons.configuration2.interpol"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/interpol/InterpolatorSpecification.html" target="_top">Frames</a></li>
<li><a href="InterpolatorSpecification.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
